org.h2.message

## Class TraceWriterAdapter

- java.lang.Object
- - org.h2.message.TraceWriterAdapter

    public class TraceWriterAdapter
    extends java.lang.Object

This adapter sends log output to SLF4J. SLF4J supports multiple implementations such as Logback, Log4j, Jakarta Commons Logging (JCL), JDK 1.4 logging, x4juli, and Simple Log. To use SLF4J, you need to add the required jar files to the classpath, and set the trace level to 4 when opening a database:

     jdbc:h2:˜/test;TRACE_LEVEL_FILE=4

The logger name is 'h2database'.

### Constructor Summary

Constructors
Constructor and Description
`TraceWriterAdapter()`

### Method Summary

Methods
`boolean` `isEnabled(int level)` Check the given trace / log level is enabled.
`void` `setName(java.lang.String name)` Set the name of the database or trace object.
`void` `write(int level, int moduleId, java.lang.String s, java.lang.Throwable t)` Write a message.
`void` `write(int level, java.lang.String module, java.lang.String s, java.lang.Throwable t)` Write a message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceWriterAdapter

    public TraceWriterAdapter()

### Method Detail

#### setName

    public void setName(java.lang.String name)

Set the name of the database or trace object.

Parameters:
  `name` - the new name

#### isEnabled

    public boolean isEnabled(int level)

Check the given trace / log level is enabled.

Parameters:
  `level` - the level
Returns:
  true if the level is enabled

#### write

    public void write(int level,
             int moduleId,
             java.lang.String s,
             java.lang.Throwable t)

Write a message.

Parameters:
  `level` - the trace level
  `moduleId` - the id of the module
  `s` - the message
  `t` - the exception (may be null)

#### write

    public void write(int level,
             java.lang.String module,
             java.lang.String s,
             java.lang.Throwable t)

Write a message.

Parameters:
  `level` - the trace level
  `module` - the name of the module
  `s` - the message
  `t` - the exception (may be null)